# FileSet.IncludesFile

### Parameters

Attribute | Type | Description | Required
--- | --- | --- | ---
asis | bool | If true then the patterns in the include file will be added to the <fileset> without pattern matching or checking if the file exists. The default is false. | False
frompath | bool | If true then the patterns in the include file will be searched for on the path. The default is false. | False
if | bool | If true then the patterns will be included; otherwise, skipped. The default is true. | False
unless | bool | Opposite of `if`. If false then the patterns will be included; otherwise, skipped. The default is false. | False
name | file | The name of a file; each line of this file is taken to be a pattern. | True

### Requirements

Assembly: NAnt.Core (0.90.3780.0)